%define oname CDDB

Summary: Python CDDB module
Name: python-%{oname}
Version: 1.4
Release: %mkrel 22
Source0: %{oname}-%version.tar.bz2
License: GPLv2+
Group: Development/Python
URL: http://cddb-py.sourceforge.net
BuildRequires: pkgconfig(python)
BuildRequires: fdupes

%description
The dynamic duo of CDDB.py and DiscID.py, along with their side-kick C
module cdrommodule.so, provide an easy way for Python programs to
fetch information on audio CDs from CDDB (http://www.cddb.com/) -- a
very large online database of track listings and other information on
audio CDs.  UNIX platforms and Windows are both supported.


%prep
%setup -q -n %{oname}-%{version}
%{__sed} -e '/^#!/,1d' < CDDB.py > CDDB.py.tmp
mv CDDB.py.tmp CDDB.py
%{__sed} -e '/^#!/,1d' < DiscID.py > DiscID.py.tmp
mv DiscID.py.tmp DiscID.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1  --skip-build --root %{buildroot}
%fdupes $RPM_BUILD_ROOT%{python_sitearch}

%files
%doc CHANGES COPYING README
%{python_sitearch}/*






%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.4-22.mga6
+ Revision: 944577
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-21.mga5
+ Revision: 739836
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-20.mga5
+ Revision: 728153
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4-19.mga5
+ Revision: 687871
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.4-17.mga4
+ Revision: 543039
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4-16.mga4
+ Revision: 498061
- Rebuild to add different pythonegg provides for python 2 and 3

  + philippem <philippem>
    - remove PYTHONDONTWRITEBYTECODE

* Sun Jan 13 2013 umeabot <umeabot> 1.4-14.mga3
+ Revision: 378429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 philippem <philippem> 1.4-13.mga1
+ Revision: 67763
- imported package python-CDDB


* Thu Mar 10 2011 Philippe Makowski <makowski.mageia@gmail.com> 1.4-13mga1
- initial import from Mandriva
- Update license tag

* Wed Nov 17 2010 Funda Wang <fwang@mandriva.org> 1.4-12mdv2011.0
+ Revision: 598143
- rebuild for py2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4-11mdv2011.0
+ Revision: 442054
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.4-10mdv2009.1
+ Revision: 319198
- rebuild for python 2.6

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.4-9mdv2009.0
+ Revision: 259524
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.4-8mdv2009.0
+ Revision: 247392
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4-6mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-6mdv2007.0
+ Revision: 115731
- Rebuild against new python
- Import python-CDDB

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- Rebuild

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.4-4mdk
- Rebuild
- use mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4-3mdk
- Rebuild for new python

* Sat Oct 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4-2mdk
- rebuild

